Skip to main content
`Ctrl`+`K`

# KSPGetDiagonalScale

Checks if `KSP` solver scales the matrix and right-hand side, that is if `KSPSetDiagonalScale()` has been called

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetDiagonalScale(KSP ksp, PetscBool *scale)

Not Collective

## Input Parameter

- ksp - the `KSP` context

## Output Parameter

- scale - `PETSC_TRUE` or `PETSC_FALSE`

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetDiagonalScale()`, `KSPSetDiagonalScaleFix()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages